Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting
Interface WebContextFactory.WebContextBuilder

All Known Implementing Classes:
  DefaultWebContextBuilder

Enclosing class:
  WebContextFactory

    public static interface WebContextFactory.WebContextBuilder

Class to enable us to access servlet parameters.

Method Summary
`WebContext` | `get()`
`void` | `set(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletConfig config, javax.servlet.ServletContext context, Container container)` Make the current thread know what the current request is.
`void` | `unset()` Unset the current ExecutionContext This method is only for use internally to DWR.

Method Detail

### set

    void set(javax.servlet.http.HttpServletRequest request,
             javax.servlet.http.HttpServletResponse response,
             javax.servlet.ServletConfig config,
             javax.servlet.ServletContext context,
             Container container)

  Make the current thread know what the current request is. This method is only for use internally to DWR.

  Parameters:
    `request` - The incoming http request
    `response` - The outgoing http reply
    `config` - The servlet configuration
    `context` - The servlet context
    `container` - The IoC container
  See Also:
    `unset()`

### get

    WebContext get()

  Returns:
    The WebContext that is associated with this thread

### unset

    void unset()

  Unset the current ExecutionContext This method is only for use internally to DWR.

  See Also:
    `set(HttpServletRequest, HttpServletResponse, ServletConfig, ServletContext, Container)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD